org.apache.ignite.cache

## Class CachePartialUpdateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.cache.CacheException
        - - org.apache.ignite.cache.CachePartialUpdateException

- All Implemented Interfaces:
    Serializable

      public class CachePartialUpdateException
      extends javax.cache.CacheException

  Exception thrown from non-transactional cache in case when update succeeded only partially. One can get list of keys for which update failed with method `failedKeys()`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachePartialUpdateException(org.apache.ignite.internal.processors.cache.CachePartialUpdateCheckedException e)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<K> Collection<K>` | `failedKeys()` Gets collection of failed keys.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CachePartialUpdateException

          public CachePartialUpdateException(org.apache.ignite.internal.processors.cache.CachePartialUpdateCheckedException e)

      Parameters:
        `e` - Cause.

  - ### Method Detail

    - #### failedKeys

          public <K> Collection<K> failedKeys()

      Gets collection of failed keys.
      Type Parameters:
        `K` - Type of keys.
      Returns:
        Collection of failed keys.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022